package com.bonus.canteen.core.supply.purchase.domain.param;

import cn.hutool.core.util.ObjectUtil;
import com.bonus.canteen.core.supply.purchase.constants.DrpInterfaceType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class DrpPurMaterialInfoPageDTO {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("类别id集合")
   private List<Long> categoryIdList;
   @ApiModelProperty("条码")
   private String barCode;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("仓库类别")
   private Integer warehouseType;
   @ApiModelProperty("首字母")
   private String initial;
   @ApiModelProperty("关键字")
   private String materialInfo;
   @ApiModelProperty("原料类型(1原料2商品)")
   private Integer materialType;
   @ApiModelProperty("区域ID")
   private Long areaId;
   @ApiModelProperty("食堂ID")
   private Long canteenId;
   private DrpInterfaceType interfaceType;
   @ApiModelProperty("货品id集合")
   private List<Long> materialIdList;

   public String getMaterialName() {
      return ObjectUtil.isNotNull(this.materialName) ? this.materialName : "";
   }

   public DrpPurMaterialInfoPageDTO() {
      this.interfaceType = DrpInterfaceType.WEB;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public List<Long> getCategoryIdList() {
      return this.categoryIdList;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public Integer getWarehouseType() {
      return this.warehouseType;
   }

   public String getInitial() {
      return this.initial;
   }

   public String getMaterialInfo() {
      return this.materialInfo;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public DrpInterfaceType getInterfaceType() {
      return this.interfaceType;
   }

   public List<Long> getMaterialIdList() {
      return this.materialIdList;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setCategoryIdList(final List<Long> categoryIdList) {
      this.categoryIdList = categoryIdList;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseType(final Integer warehouseType) {
      this.warehouseType = warehouseType;
   }

   public void setInitial(final String initial) {
      this.initial = initial;
   }

   public void setMaterialInfo(final String materialInfo) {
      this.materialInfo = materialInfo;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setInterfaceType(final DrpInterfaceType interfaceType) {
      this.interfaceType = interfaceType;
   }

   public void setMaterialIdList(final List<Long> materialIdList) {
      this.materialIdList = materialIdList;
   }

}
